Skip to content

Add tracked accounts

POST
/accounts
curl --request POST \
--url https://api.warmup.social/accounts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "accounts": [ { "value": "@chillax_nails", "role": "own", "label": "example", "groupName": "example", "notes": "example" } ] }'
Media typeapplication/json
object
accounts
required
Array<object>
>= 1 items <= 50 items
object
value
required
string

Example

@chillax_nails
role
required
string
Allowed values: own competitor
label
string
<= 120 characters
groupName
string
<= 120 characters
notes
string
<= 1000 characters

Accounts created or linked to the user, without duplicates.

Media typeapplication/json
object
accounts
required
Array<object>
object
platform
required
string
Allowed values: instagram tiktok facebook
username
required
string
displayName
required
string
nullable
avatarUrl
required
string
nullable
biography
required
string
nullable
bioLinks
required
Array<object>
object
title
required
string
url
required
string
latestFollowers
required
integer
nullable
followersApproximate

True for Facebook — the network rounds follower counts. Absent for other networks.

boolean
latestFollowing
required
integer
nullable
latestPostsCount
required
integer
nullable
isVerified
required
boolean
lastPostAt
required
string format: date-time
nullable
role
required
string
Allowed values: own competitor
label
required
string
nullable
status
required
string
Allowed values: pending active no_data not_found failed
statusReason
required
string
nullable

Example

{
"accounts": [
{
"platform": "instagram",
"username": "chillax_nails",
"role": "own",
"status": "pending"
}
]
}

Invalid request.

Media typeapplication/json
object
statusCode
required
integer
message
required
One of:
string
error
string
key
additional properties
any

Example

{
"statusCode": 400,
"message": "Invalid request",
"error": "Bad Request"
}

The Bearer token is missing or invalid.

Media typeapplication/json
object
statusCode
required
integer
message
required
One of:
string
error
string
key
additional properties
any

Example

{
"statusCode": 400,
"message": "Invalid request",
"error": "Bad Request"
}